package com.lukouguoji.gjj.holder

import android.view.View
import com.lukouguoji.gjj.databinding.ItemGjjGoodsManifestBinding
import com.lukouguoji.module_base.base.BaseViewHolder
import com.lukouguoji.module_base.bean.GjcGoodsManifestBean
import com.lukouguoji.module_base.bean.GjjWarehouse

class GjjGoodsManifestViewHolder(view: View) :
    BaseViewHolder<GjjWarehouse, ItemGjjGoodsManifestBinding>(view) {

    override fun onBind(item: Any?, position: Int) {
        val bean = getItemBean(item) ?: return
        binding.position = position + 1
        binding.bean = bean
    }
}